d_validate
Prev | The Directory Cache | Next

## Name

d_validate — verify dentry provided from insecure source

## Synopsis

`int d_validate (` | struct dentry * | dentry,
| struct dentry * | dparent`)`;

## Arguments

`dentry`

  The dentry alleged to be valid child of `dparent`

`dparent`

  The parent dentry (known to be valid)

## Description

An insecure source has sent us a dentry, here we verify it and `dget` it. This is used by ncpfs in its readdir implementation. Zero is returned in the dentry is invalid.

Prev | Up | Next
d_lookup | Home | d_delete